Subject: Re: user space virtio-net exits with "truncating packet" error

From: Or Gerlitz <[email-masked]>
Date: Thu, 14 May 2009 17:04:48 +0300

Rusty Russell wrote:
> The answer is that virtio_net by default only supports 1500 
> MTU; I've not tried larger MTUs.

Rusty,

I hoped to get some performance boost from using checksum and large-send offloads 
as an alternative to jumbo frames. Looking in the virtio-net kernel driver, I see that the probe
function checks if virtio_has_feature VIRTIO_NET_F_CSUM ... VIRTIO_NET_F_HOST_TSO ... and if yes
sets the relevant bits in the NIC features mask. Looking in the virtio qemu code, I also see some offload
related code.

In my case, both the guest and the host run 2.6.29.1 and I use ethX (igb based) -- bridge -- tapY <--> qemu configuration, where qemu is the one provided by kvm latest release (84).  Now, the virtio guest NIC doesn't expose any features (its mask being 0x20 - only highdma). Anything I can do to have offloads support for my virtio environment? 

Or.